aagc.vo

## Class SceltaRevoca

- java.lang.Object
- - aagc.vo.SceltaRevoca

-     public class SceltaRevoca
      extends java.lang.Object

  Contiene i dati relativi ad un movimento di scelta e/o revoca di un medico.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codFiscale` Codice fiscale dell'assistito che ha effettuato l'operazione di scelta o revoca, elemento obbligatorio.
    `(package private) java.lang.String` | `codIstatNascita` Codice istat del comune di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codMotivoRevoca` Eventuale codice che identifica il motivo per cui è stata effettuata l'operazione di revoca, elemento facoltativo.
    `(package private) java.lang.String` | `codMotivoScelta` Codice che identifica il motivo di scelta del medico, elemento obbligatorio.
    `(package private) java.lang.String` | `codNazionaleAUSL` Codice nazionale della ASL in cui l'assistito risulta iscritto ed in cui ha effettuato l'operazione, elemento obbligatorio.
    `(package private) java.lang.String` | `cognome` Cognome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `dataInizioScelta` Data di inizio scelta del medico, elemento obbligatorio.
    `(package private) java.lang.String` | `dataNascita` Data di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `dataRegistrazRevoca` Data in cui è stata effettuata l'eventuale operazione di revoca del medico, elemento facoltativo.
    `(package private) java.lang.String` | `dataRegistrazScelta` Data in cui è stata effettuata l'operazione di scelta del medico, elemento obbligatorio.
    `(package private) java.lang.String` | `dataRevoca` Eventuale data in cui il medico è stato revocato, elemento facoltativo.
    `(package private) java.lang.String` | `descComuneNascita` Denominazione del comune di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `descMotivoRevoca` Eventuale decodifica del codice che identifica il motivo per cui è stata effettuata l'operazione di revoca, elemento facoltativo.
    `(package private) java.lang.String` | `descMotivoScelta` Decodifica del codice che identifica il motivo di scelta del medico, elemento obbligatorio.
    `(package private) java.lang.String` | `nome` Nome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `sesso` Sesso dell'assistito, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SceltaRevoca()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()`
    `java.lang.String` | `getCodIstatNascita()`
    `java.lang.String` | `getCodMotivoRevoca()`
    `java.lang.String` | `getCodMotivoScelta()`
    `java.lang.String` | `getCodNazionaleAUSL()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getDataInizioScelta()`
    `java.lang.String` | `getDataNascita()`
    `java.lang.String` | `getDataRegistrazRevoca()`
    `java.lang.String` | `getDataRegistrazScelta()`
    `java.lang.String` | `getDataRevoca()`
    `java.lang.String` | `getDescComuneNascita()`
    `java.lang.String` | `getDescMotivoRevoca()`
    `java.lang.String` | `getDescMotivoScelta()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getSesso()`
    `void` | `setCodFiscale(java.lang.String codFiscale)`
    `void` | `setCodIstatNascita(java.lang.String codIstatNascita)`
    `void` | `setCodMotivoRevoca(java.lang.String codMotivoRevoca)`
    `void` | `setCodMotivoScelta(java.lang.String codMotivoScelta)`
    `void` | `setCodNazionaleAUSL(java.lang.String codNazionaleAUSL)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setDataInizioScelta(java.lang.String dataInizioScelta)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setDataRegistrazRevoca(java.lang.String dataRegistrazRevoca)`
    `void` | `setDataRegistrazScelta(java.lang.String dataRegistrazScelta)`
    `void` | `setDataRevoca(java.lang.String dataRevoca)`
    `void` | `setDescComuneNascita(java.lang.String descComuneNascita)`
    `void` | `setDescMotivoRevoca(java.lang.String descMotivoRevoca)`
    `void` | `setDescMotivoScelta(java.lang.String descMotivoScelta)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setSesso(java.lang.String sesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          java.lang.String codFiscale

      Codice fiscale dell'assistito che ha effettuato l'operazione di scelta o revoca, elemento obbligatorio.

    - #### cognome

          java.lang.String cognome

      Cognome dell'assistito, elemento obbligatorio.

    - #### nome

          java.lang.String nome

      Nome dell'assistito, elemento obbligatorio.

    - #### dataNascita

          java.lang.String dataNascita

      Data di nascita dell'assistito, elemento obbligatorio.

    - #### sesso

          java.lang.String sesso

      Sesso dell'assistito, elemento obbligatorio. Vale 'M' se di sesso maschile, 'F' se di sesso femminile.

    - #### codIstatNascita

          java.lang.String codIstatNascita

      Codice istat del comune di nascita dell'assistito, elemento obbligatorio.

    - #### descComuneNascita

          java.lang.String descComuneNascita

      Denominazione del comune di nascita dell'assistito, elemento obbligatorio.

    - #### codNazionaleAUSL

          java.lang.String codNazionaleAUSL

      Codice nazionale della ASL in cui l'assistito risulta iscritto ed in cui ha effettuato l'operazione, elemento obbligatorio.

    - #### dataInizioScelta

          java.lang.String dataInizioScelta

      Data di inizio scelta del medico, elemento obbligatorio.

    - #### dataRevoca

          java.lang.String dataRevoca

      Eventuale data in cui il medico è stato revocato, elemento facoltativo.

    - #### dataRegistrazScelta

          java.lang.String dataRegistrazScelta

      Data in cui è stata effettuata l'operazione di scelta del medico, elemento obbligatorio.

    - #### dataRegistrazRevoca

          java.lang.String dataRegistrazRevoca

      Data in cui è stata effettuata l'eventuale operazione di revoca del medico, elemento facoltativo.

    - #### codMotivoScelta

          java.lang.String codMotivoScelta

      Codice che identifica il motivo di scelta del medico, elemento obbligatorio.

    - #### codMotivoRevoca

          java.lang.String codMotivoRevoca

      Eventuale codice che identifica il motivo per cui è stata effettuata l'operazione di revoca, elemento facoltativo.

    - #### descMotivoScelta

          java.lang.String descMotivoScelta

      Decodifica del codice che identifica il motivo di scelta del medico, elemento obbligatorio.

    - #### descMotivoRevoca

          java.lang.String descMotivoRevoca

      Eventuale decodifica del codice che identifica il motivo per cui è stata effettuata l'operazione di revoca, elemento facoltativo.

  - ### Constructor Detail

    - #### SceltaRevoca

          public SceltaRevoca()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String codFiscale)

    - #### getCodIstatNascita

          public java.lang.String getCodIstatNascita()

    - #### setCodIstatNascita

          public void setCodIstatNascita(java.lang.String codIstatNascita)

    - #### getCodMotivoRevoca

          public java.lang.String getCodMotivoRevoca()

    - #### setCodMotivoRevoca

          public void setCodMotivoRevoca(java.lang.String codMotivoRevoca)

    - #### getCodMotivoScelta

          public java.lang.String getCodMotivoScelta()

    - #### setCodMotivoScelta

          public void setCodMotivoScelta(java.lang.String codMotivoScelta)

    - #### getCodNazionaleAUSL

          public java.lang.String getCodNazionaleAUSL()

    - #### setCodNazionaleAUSL

          public void setCodNazionaleAUSL(java.lang.String codNazionaleAUSL)

    - #### getCognome

          public java.lang.String getCognome()

    - #### setCognome

          public void setCognome(java.lang.String cognome)

    - #### getDataInizioScelta

          public java.lang.String getDataInizioScelta()

    - #### setDataInizioScelta

          public void setDataInizioScelta(java.lang.String dataInizioScelta)

    - #### getDataNascita

          public java.lang.String getDataNascita()

    - #### setDataNascita

          public void setDataNascita(java.lang.String dataNascita)

    - #### getDataRegistrazRevoca

          public java.lang.String getDataRegistrazRevoca()

    - #### setDataRegistrazRevoca

          public void setDataRegistrazRevoca(java.lang.String dataRegistrazRevoca)

    - #### getDataRegistrazScelta

          public java.lang.String getDataRegistrazScelta()

    - #### setDataRegistrazScelta

          public void setDataRegistrazScelta(java.lang.String dataRegistrazScelta)

    - #### getDataRevoca

          public java.lang.String getDataRevoca()

    - #### setDataRevoca

          public void setDataRevoca(java.lang.String dataRevoca)

    - #### getDescComuneNascita

          public java.lang.String getDescComuneNascita()

    - #### setDescComuneNascita

          public void setDescComuneNascita(java.lang.String descComuneNascita)

    - #### getDescMotivoRevoca

          public java.lang.String getDescMotivoRevoca()

    - #### setDescMotivoRevoca

          public void setDescMotivoRevoca(java.lang.String descMotivoRevoca)

    - #### getDescMotivoScelta

          public java.lang.String getDescMotivoScelta()

    - #### setDescMotivoScelta

          public void setDescMotivoScelta(java.lang.String descMotivoScelta)

    - #### getNome

          public java.lang.String getNome()

    - #### setNome

          public void setNome(java.lang.String nome)

    - #### getSesso

          public java.lang.String getSesso()

    - #### setSesso

          public void setSesso(java.lang.String sesso)